/*
 * Copyright (c) 2015-2017, Parallels International GmbH
 *
 * This file is part of Virtuozzo Core Libraries. Virtuozzo Core
 * Libraries is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <http://www.gnu.org/licenses/> or write to Free Software Foundation,
 * 51 Franklin Street, Fifth Floor Boston, MA 02110, USA.
 *
 * Our contact details: Parallels International GmbH, Vordergasse 59, 8200
 * Schaffhausen, Switzerland.
 */

#include <QString>

static QString g_text[] = {
	QString("domain"),
	QString("unsignedInt"),
	QString("unsignedLong"),
	QString("hexuint"),
	QString("positiveInteger"),
	QString("octalMode"),
	QString("uint8range"),
	QString("data7"),
	QString("uint8range8"),
	QString("data9"),
	QString("uint8range10"),
	QString("uint24range"),
	QString("data12"),
	QString("uint24range13"),
	QString("data14"),
	QString("uint24range15"),
	QString("UUID"),
	QString("data17"),
	QString("UUID18"),
	QString("data19"),
	QString("UUID20"),
	QString("pciaddress"),
	QString("pciDomain"),
	QString("bus"),
	QString("pciBus"),
	QString("slot"),
	QString("pciSlot"),
	QString("function"),
	QString("pciFunc"),
	QString("multifunction"),
	QString("virOnOff"),
	QString("uniMacAddr"),
	QString("multiMacAddr"),
	QString("macAddr"),
	QString("duidLLT"),
	QString("duidEN"),
	QString("duidLL"),
	QString("duidUUID"),
	QString("DUID"),
	QString("DUID39"),
	QString("DUID40"),
	QString("DUID41"),
	QString("DUID42"),
	QString("ipv4Addr"),
	QString("ipv6Addr"),
	QString("ipAddr"),
	QString("ipAddr46"),
	QString("ipAddr47"),
	QString("ipv4Prefix"),
	QString("ipv6Prefix"),
	QString("ipPrefix"),
	QString("ipPrefix51"),
	QString("ipPrefix52"),
	QString("genericName"),
	QString("dnsName"),
	QString("deviceName"),
	QString("filePath"),
	QString("dirPath"),
	QString("absFilePath"),
	QString("absDirPath"),
	QString("unit"),
	QString("scaledInteger"),
	QString("wwn"),
	QString("cpuset"),
	QString("volName"),
	QString("archnames"),
	QString("aarch64"),
	QString("alpha"),
	QString("armv7l"),
	QString("cris"),
	QString("i686"),
	QString("ia64"),
	QString("lm32"),
	QString("m68k"),
	QString("microblaze"),
	QString("microblazeel"),
	QString("mips"),
	QString("mipsel"),
	QString("mips64"),
	QString("mips64el"),
	QString("openrisc"),
	QString("parisc"),
	QString("parisc64"),
	QString("ppc"),
	QString("ppc64"),
	QString("ppcemb"),
	QString("s390"),
	QString("s390x"),
	QString("sh4"),
	QString("sh4eb"),
	QString("sparc"),
	QString("sparc64"),
	QString("unicore32"),
	QString("x86_64"),
	QString("xtensa"),
	QString("xtensaeb"),
	QString("PortNumber"),
	QString("sourceinfoadapter"),
	QString("adapter"),
	QString("type"),
	QString("scsi_host"),
	QString("name"),
	QString("variant102"),
	QString("parentaddr"),
	QString("unique_id"),
	QString("address"),
	QString("variant106"),
	QString("choice107"),
	QString("adapter108"),
	QString("fc_host"),
	QString("parent"),
	QString("wwnn"),
	QString("wwpn"),
	QString("adapter113"),
	QString("isaaddress"),
	QString("iobase"),
	QString("irq"),
	QString("link-speed-state"),
	QString("link"),
	QString("speed"),
	QString("state"),
	QString("unknown"),
	QString("notpresent"),
	QString("down"),
	QString("lowerlayerdown"),
	QString("testing"),
	QString("dormant"),
	QString("up"),
	QString("virYesNo"),
	QString("yes"),
	QString("no"),
	QString("on"),
	QString("off"),
	QString("metadata"),
	QString("customElement"),
	QString("variant135"),
	QString("variant136"),
	QString("variant137"),
	QString("choice138"),
	QString("encryption"),
	QString("format"),
	QString("default"),
	QString("qcow"),
	QString("secret"),
	QString("passphrase"),
	QString("uuid"),
	QString("compat"),
	QString("ownValue"),
	QString("fileFormatFeatures"),
	QString("features"),
	QString("lazy_refcounts"),
	QString("storageFormatBacking"),
	QString("cow"),
	QString("qcow2"),
	QString("qed"),
	QString("vmdk"),
	QString("storageFormat"),
	QString("raw"),
	QString("dir"),
	QString("bochs"),
	QString("cloop"),
	QString("dmg"),
	QString("iso"),
	QString("vpc"),
	QString("vdi"),
	QString("fat"),
	QString("vhd"),
	QString("storageFormat167"),
	QString("storageStartupPolicy"),
	QString("storageSourceExtra"),
	QString("virtualPortProfileID"),
	QString("virtualPortProfile"),
	QString("virtualport"),
	QString("802.1Qbg"),
	QString("parameters"),
	QString("managerid"),
	QString("typeid"),
	QString("typeidversion"),
	QString("instanceid"),
	QString("virtualPortProfile179"),
	QString("802.1Qbh"),
	QString("profileid"),
	QString("virtualPortProfile182"),
	QString("openvswitch"),
	QString("interfaceid"),
	QString("virtualPortProfile185"),
	QString("virtualPortProfile186"),
	QString("bandwidth"),
	QString("inbound"),
	QString("bandwidth-attributes"),
	QString("outbound"),
	QString("average"),
	QString("peak"),
	QString("floor"),
	QString("burst"),
	QString("BurstSize"),
	QString("unsignedShort"),
	QString("protocol"),
	QString("addr-family"),
	QString("vlan"),
	QString("trunk"),
	QString("tag"),
	QString("id"),
	QString("nativeMode"),
	QString("tagged"),
	QString("untagged"),
	QString("port"),
	QString("macTableManager"),
	QString("kernel"),
	QString("libvirt"),
	QString("description"),
	QString("title"),
	QString("hvs"),
	QString("ids"),
	QString("cpu"),
	QString("sysinfo"),
	QString("os"),
	QString("clock"),
	QString("resources"),
	QString("events"),
	QString("pm"),
	QString("idmap"),
	QString("devices"),
	QString("seclabel"),
	QString("qemucmdline"),
	QString("model"),
	QString("dynamic"),
	QString("relabel"),
	QString("label"),
	QString("imagelabel"),
	QString("baselabel"),
	QString("seclabel231"),
	QString("static"),
	QString("seclabel233"),
	QString("none"),
	QString("seclabel235"),
	QString("devSeclabel"),
	QString("seclabel237"),
	QString("labelskip"),
	QString("seclabel239"),
	QString("seclabel240"),
	QString("qemu"),
	QString("kqemu"),
	QString("kvm"),
	QString("xen"),
	QString("lxc"),
	QString("uml"),
	QString("openvz"),
	QString("test"),
	QString("vmware"),
	QString("hyperv"),
	QString("vbox"),
	QString("phyp"),
	QString("parallels"),
	QString("bhyve"),
	QString("osxen"),
	QString("os256"),
	QString("oshvm"),
	QString("os258"),
	QString("osexe"),
	QString("os260"),
	QString("bootloader"),
	QString("ostypexen"),
	QString("osbootkernel"),
	QString("osxen264"),
	QString("osxen265"),
	QString("ostypehvm"),
	QString("loader"),
	QString("readonly"),
	QString("rom"),
	QString("pflash"),
	QString("nvram"),
	QString("template"),
	QString("osbootdev"),
	QString("bootmenu"),
	QString("enable"),
	QString("timeout"),
	QString("smbios"),
	QString("bios"),
	QString("arch"),
	QString("machine"),
	QString("xenpv"),
	QString("xenner"),
	QString("linux"),
	QString("hvmx86"),
	QString("variant285"),
	QString("hvmmips"),
	QString("variant287"),
	QString("hvmsparc"),
	QString("variant289"),
	QString("hvmppc"),
	QString("variant291"),
	QString("hvmppc64"),
	QString("variant293"),
	QString("hvms390"),
	QString("variant295"),
	QString("hvmarm"),
	QString("variant297"),
	QString("hvmaarch64"),
	QString("variant299"),
	QString("choice300"),
	QString("hvm"),
	QString("sun4m"),
	QString("g3beige"),
	QString("mac99"),
	QString("prep"),
	QString("ppce500"),
	QString("pseries"),
	QString("s390-virtio"),
	QString("s390-ccw"),
	QString("s390-ccw-virtio"),
	QString("exe"),
	QString("init"),
	QString("initarg"),
	QString("domainName"),
	QString("uid"),
	QString("start"),
	QString("target"),
	QString("count"),
	QString("gid"),
	QString("memory"),
	QString("dumpCore"),
	QString("maxMemory"),
	QString("slots"),
	QString("currentMemory"),
	QString("memoryBacking"),
	QString("hugepages"),
	QString("page"),
	QString("size"),
	QString("nodeset"),
	QString("nosharepages"),
	QString("locked"),
	QString("vcpu"),
	QString("placement"),
	QString("auto"),
	QString("current"),
	QString("countCPU"),
	QString("vcpus"),
	QString("enabled"),
	QString("hotpluggable"),
	QString("order"),
	QString("iothreads"),
	QString("blkiotune"),
	QString("memtune"),
	QString("cputune"),
	QString("numatune"),
	QString("respartition"),
	QString("weight"),
	QString("device"),
	QString("path"),
	QString("read_iops_sec"),
	QString("write_iops_sec"),
	QString("read_bytes_sec"),
	QString("write_bytes_sec"),
	QString("hard_limit"),
	QString("soft_limit"),
	QString("min_guarantee"),
	QString("swap_hard_limit"),
	QString("shares"),
	QString("cpushares"),
	QString("global_period"),
	QString("cpuperiod"),
	QString("global_quota"),
	QString("cpuquota"),
	QString("period"),
	QString("quota"),
	QString("emulator_period"),
	QString("emulator_quota"),
	QString("vcpupin"),
	QString("vcpuid"),
	QString("emulatorpin"),
	QString("iothreadpin"),
	QString("iothread"),
	QString("mode"),
	QString("strict"),
	QString("preferred"),
	QString("interleave"),
	QString("memory377"),
	QString("memory378"),
	QString("memnode"),
	QString("cellid"),
	QString("resource"),
	QString("partition"),
	QString("offset"),
	QString("localtime"),
	QString("utc"),
	QString("adjustment"),
	QString("timeDelta"),
	QString("adjustment388"),
	QString("reset"),
	QString("clock390"),
	QString("timezone"),
	QString("timeZone"),
	QString("clock393"),
	QString("variable"),
	QString("basis"),
	QString("clock396"),
	QString("timer"),
	QString("platform"),
	QString("rtc"),
	QString("track"),
	QString("boot"),
	QString("guest"),
	QString("wall"),
	QString("tickpolicy"),
	QString("timer405"),
	QString("tsc"),
	QString("frequency"),
	QString("native"),
	QString("emulate"),
	QString("paravirt"),
	QString("smpsafe"),
	QString("timer412"),
	QString("hpet"),
	QString("pit"),
	QString("timer415"),
	QString("kvmclock"),
	QString("hypervclock"),
	QString("timer418"),
	QString("present"),
	QString("delay"),
	QString("merge"),
	QString("discard"),
	QString("tickpolicy423"),
	QString("catchup"),
	QString("threshold"),
	QString("slew"),
	QString("limit"),
	QString("tickpolicy428"),
	QString("bootloader429"),
	QString("bootloader_args"),
	QString("initrd"),
	QString("root"),
	QString("cmdline"),
	QString("dtb"),
	QString("dev"),
	QString("hd"),
	QString("fd"),
	QString("cdrom"),
	QString("network"),
	QString("diskspec"),
	QString("diskDriver"),
	QString("diskMirror"),
	QString("diskAuth"),
	QString("deviceBoot"),
	QString("shareable"),
	QString("transient"),
	QString("serial"),
	QString("diskSerial"),
	QString("diskIoTune"),
	QString("alias"),
	QString("geometry"),
	QString("diskBlockIo"),
	QString("vendor"),
	QString("product"),
	QString("snapshot"),
	QString("internal"),
	QString("external"),
	QString("lease"),
	QString("lockspace"),
	QString("key"),
	QString("startupPolicy"),
	QString("mandatory"),
	QString("requisite"),
	QString("optional"),
	QString("disk"),
	QString("floppy"),
	QString("disk467"),
	QString("lun"),
	QString("rawIO"),
	QString("sgio"),
	QString("filtered"),
	QString("unfiltered"),
	QString("disk473"),
	QString("diskSource"),
	QString("diskBackingChain"),
	QString("diskBackingStore"),
	QString("diskBackingChain477"),
	QString("diskBackingStoreLast"),
	QString("diskBackingChain479"),
	QString("backingStore"),
	QString("index"),
	QString("diskFormat"),
	QString("diskSourceBlock"),
	QString("diskSource484"),
	QString("diskSourceDir"),
	QString("diskSource486"),
	QString("diskSourceNetwork"),
	QString("diskSource488"),
	QString("diskSourceVolume"),
	QString("diskSource490"),
	QString("diskSourceFile"),
	QString("diskSource492"),
	QString("file"),
	QString("source"),
	QString("block"),
	QString("nbd"),
	QString("rbd"),
	QString("sheepdog"),
	QString("gluster"),
	QString("iscsi"),
	QString("http"),
	QString("https"),
	QString("ftp"),
	QString("ftps"),
	QString("tftp"),
	QString("host"),
	QString("transport"),
	QString("tcp"),
	QString("rdma"),
	QString("name510"),
	QString("name511"),
	QString("host512"),
	QString("unix"),
	QString("socket"),
	QString("host515"),
	QString("volume"),
	QString("pool"),
	QString("direct"),
	QString("diskTarget"),
	QString("ide"),
	QString("fdc"),
	QString("scsi"),
	QString("virtio"),
	QString("usb"),
	QString("sata"),
	QString("sd"),
	QString("tray"),
	QString("open"),
	QString("closed"),
	QString("removable"),
	QString("cyls"),
	QString("heads"),
	QString("secs"),
	QString("trans"),
	QString("lba"),
	QString("blockio"),
	QString("logical_block_size"),
	QString("physical_block_size"),
	QString("driver"),
	QString("driverFormat"),
	QString("driverCache"),
	QString("driverErrorPolicy"),
	QString("driverRerrorPolicy"),
	QString("driverIO"),
	QString("ioeventfd"),
	QString("event_idx"),
	QString("copy_on_read"),
	QString("driverIOThread"),
	QString("type549"),
	QString("aio"),
	QString("cache"),
	QString("writeback"),
	QString("writethrough"),
	QString("directsync"),
	QString("unsafe"),
	QString("error_policy"),
	QString("stop"),
	QString("report"),
	QString("ignore"),
	QString("enospace"),
	QString("rerror_policy"),
	QString("io"),
	QString("threads"),
	QString("unmap"),
	QString("controller"),
	QString("ccid"),
	QString("variant567"),
	QString("buslogic"),
	QString("lsilogic"),
	QString("lsisas1068"),
	QString("vmpvscsi"),
	QString("ibmvscsi"),
	QString("virtio-scsi"),
	QString("lsisas1078"),
	QString("hv-scsi"),
	QString("variant576"),
	QString("piix3-uhci"),
	QString("piix4-uhci"),
	QString("ehci"),
	QString("ich9-ehci1"),
	QString("ich9-uhci1"),
	QString("ich9-uhci2"),
	QString("ich9-uhci3"),
	QString("vt82c686b-uhci"),
	QString("pci-ohci"),
	QString("nec-xhci"),
	QString("usbmaster"),
	QString("variant588"),
	QString("pci"),
	QString("pci-root"),
	QString("pcie-root"),
	QString("pcihole64"),
	QString("variant593"),
	QString("pci-bridge"),
	QString("dmi-to-pci-bridge"),
	QString("variant596"),
	QString("choice597"),
	QString("variant598"),
	QString("virtio-serial"),
	QString("ports"),
	QString("vectors"),
	QString("variant602"),
	QString("choice603"),
	QString("queues"),
	QString("cmd_per_lun"),
	QString("max_sectors"),
	QString("filesystem"),
	QString("fsDriver"),
	QString("filesystem609"),
	QString("filesystem610"),
	QString("mount"),
	QString("filesystem612"),
	QString("bind"),
	QString("filesystem614"),
	QString("filesystem615"),
	QString("ram"),
	QString("usage"),
	QString("units"),
	QString("filesystem619"),
	QString("accessmode"),
	QString("passthrough"),
	QString("mapped"),
	QString("squash"),
	QString("space_hard_limit"),
	QString("space_soft_limit"),
	QString("handle"),
	QString("loop"),
	QString("wrpolicy"),
	QString("immediate"),
	QString("interface-network-attributes"),
	QString("portgroup"),
	QString("interface-bridge-attributes"),
	QString("bridge"),
	QString("interface"),
	QString("interface-options"),
	QString("interface636"),
	QString("ethernet"),
	QString("interface638"),
	QString("vhostuser"),
	QString("server"),
	QString("client"),
	QString("interface642"),
	QString("interface643"),
	QString("bridgeMode"),
	QString("interface645"),
	QString("user"),
	QString("interface647"),
	QString("interface648"),
	QString("mcast"),
	QString("mac"),
	QString("interface651"),
	QString("interface652"),
	QString("hostdev"),
	QString("managed"),
	QString("missing"),
	QString("usbproduct"),
	QString("usbaddress"),
	QString("source658"),
	QString("address659"),
	QString("usbAddr"),
	QString("usbPort"),
	QString("address662"),
	QString("source663"),
	QString("interface664"),
	QString("actual"),
	QString("ip"),
	QString("family"),
	QString("prefix"),
	QString("script"),
	QString("backend"),
	QString("tap"),
	QString("vhost"),
	QString("vfio"),
	QString("driver674"),
	QString("txmode"),
	QString("driver676"),
	QString("csum"),
	QString("gso"),
	QString("tso4"),
	QString("tso6"),
	QString("ecn"),
	QString("ufo"),
	QString("filterref"),
	QString("filterref-node-attributes"),
	QString("tune"),
	QString("sndbuf"),
	QString("emulator"),
	QString("graphic"),
	QString("graphics"),
	QString("sdl"),
	QString("display"),
	QString("xauth"),
	QString("fullscreen"),
	QString("graphics694"),
	QString("vnc"),
	QString("autoport"),
	QString("websocket"),
	QString("listen"),
	QString("addrIPorName"),
	QString("sharePolicy"),
	QString("allow-exclusive"),
	QString("force-shared"),
	QString("variant703"),
	QString("variant704"),
	QString("choice705"),
	QString("passwd"),
	QString("keymap"),
	QString("passwdValidTo"),
	QString("connected"),
	QString("keep"),
	QString("listenElements"),
	QString("graphics712"),
	QString("spice"),
	QString("tlsPort"),
	QString("fail"),
	QString("disconnect"),
	QString("defaultMode"),
	QString("any"),
	QString("secure"),
	QString("insecure"),
	QString("channel"),
	QString("main"),
	QString("inputs"),
	QString("cursor"),
	QString("playback"),
	QString("record"),
	QString("smartcard"),
	QString("usbredir"),
	QString("image"),
	QString("compression"),
	QString("auto_glz"),
	QString("auto_lz"),
	QString("quic"),
	QString("glz"),
	QString("lz"),
	QString("jpeg"),
	QString("never"),
	QString("always"),
	QString("zlib"),
	QString("streaming"),
	QString("filter"),
	QString("all"),
	QString("clipboard"),
	QString("copypaste"),
	QString("mouse"),
	QString("filetransfer"),
	QString("graphics747"),
	QString("rdp"),
	QString("replaceUser"),
	QString("multiUser"),
	QString("graphics751"),
	QString("desktop"),
	QString("graphics753"),
	QString("listen754"),
	QString("listen755"),
	QString("video"),
	QString("vga"),
	QString("cirrus"),
	QString("vmvga"),
	QString("model760"),
	QString("qxl"),
	QString("model762"),
	QString("vram"),
	QString("primary"),
	QString("acceleration"),
	QString("accel3d"),
	QString("accel2d"),
	QString("on_reboot"),
	QString("offOptions"),
	QString("on_poweroff"),
	QString("on_crash"),
	QString("crashOptions"),
	QString("on_lockfailure"),
	QString("lockfailureOptions"),
	QString("destroy"),
	QString("restart"),
	QString("preserve"),
	QString("rename-restart"),
	QString("coredump-destroy"),
	QString("coredump-restart"),
	QString("poweroff"),
	QString("pause"),
	QString("suspend-to-mem"),
	QString("suspendChoices"),
	QString("suspend-to-disk"),
	QString("qemucdev"),
	QString("qemucdevSrcType"),
	QString("tty"),
	QString("qemucdevSrcDef"),
	QString("qemucdevTgtDef"),
	QString("qemucdevConsoleTgtType"),
	QString("sclp"),
	QString("sclplm"),
	QString("qemucdevSerialTgtType"),
	QString("isa-serial"),
	QString("usb-serial"),
	QString("variant797"),
	QString("variant798"),
	QString("choice799"),
	QString("qemucdevSrcTypeChoice"),
	QString("pipe"),
	QString("udp"),
	QString("null"),
	QString("stdio"),
	QString("vc"),
	QString("pty"),
	QString("spicevmc"),
	QString("spiceport"),
	QString("nmdm"),
	QString("usbdevfilter"),
	QString("usbdev"),
	QString("allow"),
	QString("class"),
	QString("usbClass"),
	QString("class815"),
	QString("usbIdDefault"),
	QString("class817"),
	QString("usbId"),
	QString("vendor819"),
	QString("vendor820"),
	QString("product821"),
	QString("product822"),
	QString("version"),
	QString("usbVersion"),
	QString("version825"),
	QString("version826"),
	QString("service"),
	QString("wiremode"),
	QString("master"),
	QString("slave"),
	QString("append"),
	QString("telnet"),
	QString("telnets"),
	QString("tls"),
	QString("console"),
	QString("console836"),
	QString("variant837"),
	QString("console838"),
	QString("codec"),
	QString("duplex"),
	QString("micro"),
	QString("sound"),
	QString("sb16"),
	QString("es1370"),
	QString("pcspk"),
	QString("ac97"),
	QString("ich6"),
	QString("ich9"),
	QString("variant849"),
	QString("watchdog"),
	QString("i6300esb"),
	QString("ib700"),
	QString("action"),
	QString("shutdown"),
	QString("dump"),
	QString("memballoon"),
	QString("autodeflate"),
	QString("stats"),
	QString("parallel"),
	QString("guestfwdTarget"),
	QString("guestfwd"),
	QString("virtioTarget"),
	QString("variant863"),
	QString("variant864"),
	QString("choice865"),
	QString("smartcard866"),
	QString("host-certificates"),
	QString("certificate"),
	QString("database"),
	QString("smartcard870"),
	QString("smartcard871"),
	QString("tpm"),
	QString("tpm-tis"),
	QString("tpm-backend"),
	QString("tpm-passthrough-device"),
	QString("backend876"),
	QString("input"),
	QString("tablet"),
	QString("keyboard"),
	QString("ps2"),
	QString("hub"),
	QString("redirdev"),
	QString("redirfilter"),
	QString("hostdevsubsys"),
	QString("variant885"),
	QString("hostdevcaps"),
	QString("variant887"),
	QString("choice888"),
	QString("subsystem"),
	QString("hostdevsubsyspci"),
	QString("hostdevsubsys891"),
	QString("hostdevsubsysusb"),
	QString("hostdevsubsys893"),
	QString("hostdevsubsysscsi"),
	QString("hostdevsubsys895"),
	QString("capabilities"),
	QString("hostdevcapsstorage"),
	QString("hostdevcaps898"),
	QString("hostdevcapsmisc"),
	QString("hostdevcaps900"),
	QString("hostdevcapsnet"),
	QString("hostdevcaps902"),
	QString("source903"),
	QString("source904"),
	QString("scsiaddress"),
	QString("source906"),
	QString("source907"),
	QString("storage"),
	QString("misc"),
	QString("char"),
	QString("net"),
	QString("driveBus"),
	QString("driveTarget"),
	QString("driveUnit"),
	QString("usbportaddress"),
	QString("spaprvioaddress"),
	QString("reg"),
	QString("spaprvioReg"),
	QString("ccwaddress"),
	QString("cssid"),
	QString("ccwCssidRange"),
	QString("ssid"),
	QString("ccwSsidRange"),
	QString("devno"),
	QString("ccwDevnoRange"),
	QString("driveaddress"),
	QString("driveController"),
	QString("virtioserialaddress"),
	QString("ccidaddress"),
	QString("dimmaddress"),
	QString("base"),
	QString("vmbusaddress"),
	QString("variant933"),
	QString("variant934"),
	QString("variant935"),
	QString("variant936"),
	QString("variant937"),
	QString("variant938"),
	QString("variant939"),
	QString("variant940"),
	QString("variant941"),
	QString("variant942"),
	QString("variant943"),
	QString("variant944"),
	QString("variant945"),
	QString("variant946"),
	QString("variant947"),
	QString("variant948"),
	QString("variant949"),
	QString("variant950"),
	QString("rng"),
	QString("variant952"),
	QString("variant953"),
	QString("memorydev"),
	QString("variant955"),
	QString("choice956"),
	QString("panic"),
	QString("pae"),
	QString("apic"),
	QString("eoi"),
	QString("acpi"),
	QString("hap"),
	QString("viridian"),
	QString("privnet"),
	QString("pvspinlock"),
	QString("featurestate"),
	QString("pmu"),
	QString("vmport"),
	QString("gic"),
	QString("cpuMode"),
	QString("cpuMatch"),
	QString("cpuModel"),
	QString("cpuVendor"),
	QString("cpuTopology"),
	QString("cpuFeature"),
	QString("cpuNuma"),
	QString("custom"),
	QString("host-model"),
	QString("host-passthrough"),
	QString("match"),
	QString("minimum"),
	QString("exact"),
	QString("fallback"),
	QString("forbid"),
	QString("vendor_id"),
	QString("model986"),
	QString("feature"),
	QString("policy"),
	QString("force"),
	QString("require"),
	QString("disable"),
	QString("featureName"),
	QString("topology"),
	QString("sockets"),
	QString("cores"),
	QString("numa"),
	QString("numaCell"),
	QString("cell"),
	QString("cpus"),
	QString("memoryKB"),
	QString("memAccess"),
	QString("shared"),
	QString("private"),
	QString("entry"),
	QString("sysinfo-bios-name"),
	QString("sysinfo-value"),
	QString("system"),
	QString("sysinfo-system-name"),
	QString("date"),
	QString("release"),
	QString("manufacturer"),
	QString("sku"),
	QString("useserial"),
	QString("rebootTimeout"),
	QString("rebootTimeoutDelay"),
	QString("address1016"),
	QString("drive"),
	QString("address1018"),
	QString("address1019"),
	QString("address1020"),
	QString("address1021"),
	QString("spapr-vio"),
	QString("address1023"),
	QString("ccw"),
	QString("address1025"),
	QString("isa"),
	QString("address1027"),
	QString("dimm"),
	QString("address1029"),
	QString("vmbus"),
	QString("address1031"),
	QString("bar"),
	QString("memorydev-source"),
	QString("memorydev-target"),
	QString("pagesize"),
	QString("nodemask"),
	QString("node"),
	QString("rng-backend"),
	QString("rng-rate"),
	QString("random"),
	QString("/dev/random"),
	QString("/dev/hwrng"),
	QString("choice1043"),
	QString("backend1044"),
	QString("egd"),
	QString("backend1046"),
	QString("rate"),
	QString("bytes"),
	QString("startport"),
	QString("parameter"),
	QString("filter-param-name"),
	QString("value"),
	QString("filter-param-value"),
	QString("mirror"),
	QString("job"),
	QString("copy"),
	QString("mirror1057"),
	QString("active-commit"),
	QString("mirror1059"),
	QString("ready"),
	QString("abort"),
	QString("pivot"),
	QString("auth"),
	QString("username"),
	QString("diskAuthSecret"),
	QString("ceph"),
	QString("secret1067"),
	QString("secret1068"),
	QString("iotune"),
	QString("total_bytes_sec"),
	QString("variant1071"),
	QString("variant1072"),
	QString("choice1073"),
	QString("total_iops_sec"),
	QString("variant1075"),
	QString("variant1076"),
	QString("choice1077"),
	QString("relaxed"),
	QString("vapic"),
	QString("spinlocks"),
	QString("retries"),
	QString("vpindex"),
	QString("runtime"),
	QString("synic"),
	QString("stimer"),
	QString("hidden"),
	QString("capabilitiespolicy"),
	QString("audit_control"),
	QString("audit_write"),
	QString("block_suspend"),
	QString("chown"),
	QString("dac_override"),
	QString("dac_read_search"),
	QString("fowner"),
	QString("fsetid"),
	QString("ipc_lock"),
	QString("ipc_owner"),
	QString("kill"),
	QString("linux_immutable"),
	QString("mac_admin"),
	QString("mac_override"),
	QString("mknod"),
	QString("net_admin"),
	QString("net_bind_service"),
	QString("net_broadcast"),
	QString("net_raw"),
	QString("setgid"),
	QString("setfcap"),
	QString("setpcap"),
	QString("setuid"),
	QString("sys_admin"),
	QString("sys_boot"),
	QString("sys_chroot"),
	QString("sys_module"),
	QString("sys_nice"),
	QString("sys_pacct"),
	QString("sys_ptrace"),
	QString("sys_rawio"),
	QString("sys_resource"),
	QString("sys_time"),
	QString("sys_tty_config"),
	QString("syslog"),
	QString("wake_alarm"),
	QString("deny"),
	QString("commandline"),
	QString("arg"),
	QString("env"),
	QString("http://libvirt.org/schemas/domain/qemu/1.0"),
	QString("aliasName"),
	QString("data1130"),
	QString("ccwCssidRange1131"),
	QString("data1132"),
	QString("ccwCssidRange1133"),
	QString("data1134"),
	QString("ccwCssidRange1135"),
	QString("data1136"),
	QString("ccwDevnoRange1137"),
	QString("data1138"),
	QString("ccwDevnoRange1139"),
	QString("rawio"),
	QString("memory1141"),
	QString("anonymous1142"),
	QString("anonymous1143"),
	QString("data1144"),
	QString("uint8range1145"),
	QString("data1146"),
	QString("uint8range1147"),
	QString("data1148"),
	QString("uint24range1149"),
	QString("data1150"),
	QString("uint24range1151"),
	QString("data1152"),
	QString("UUID1153"),
	QString("data1154"),
	QString("UUID1155"),
	QString("DUID1156"),
	QString("DUID1157"),
	QString("DUID1158"),
	QString("DUID1159"),
	QString("ipAddr1160"),
	QString("ipAddr1161"),
	QString("ipPrefix1162"),
	QString("ipPrefix1163"),
	QString("variant1164"),
	QString("variant1165"),
	QString("choice1166"),
	QString("adapter1167"),
	QString("adapter1168"),
	QString("variant1169"),
	QString("variant1170"),
	QString("variant1171"),
	QString("choice1172"),
	QString("virtualPortProfile1173"),
	QString("virtualPortProfile1174"),
	QString("virtualPortProfile1175"),
	QString("virtualPortProfile1176"),
	QString("connections"),
	QString("ipv6"),
	QString("stp"),
	QString("forward"),
	QString("nat"),
	QString("route"),
	QString("vepa"),
	QString("variant1184"),
	QString("variant1185"),
	QString("choice1186"),
	QString("pf"),
	QString("end"),
	QString("dns"),
	QString("forwardPlainNames"),
	QString("forwarder"),
	QString("addr"),
	QString("txt"),
	QString("srv"),
	QString("priority"),
	QString("hostname"),
	QString("netmask"),
	QString("variant1198"),
	QString("variant1199"),
	QString("choice1200"),
	QString("dhcp"),
	QString("range"),
	QString("variant1203"),
	QString("variant1204"),
	QString("choice1205"),
	QString("host1206"),
	QString("host1207"),
	QString("bootp"),
	QString("variant1209"),
	QString("variant1210"),
	QString("choice1211"),
	QString("gateway"),
	QString("metric"),
	QString("anonymous1214"),
	QString("ethernet-interface"),
	QString("variant1216"),
	QString("bridge-interface"),
	QString("variant1218"),
	QString("bond-interface"),
	QString("variant1220"),
	QString("vlan-interface"),
	QString("variant1222"),
	QString("choice1223"),
	QString("data1224"),
	QString("uint8range1225"),
	QString("data1226"),
	QString("uint8range1227"),
	QString("data1228"),
	QString("uint24range1229"),
	QString("data1230"),
	QString("uint24range1231"),
	QString("data1232"),
	QString("UUID1233"),
	QString("data1234"),
	QString("UUID1235"),
	QString("DUID1236"),
	QString("DUID1237"),
	QString("DUID1238"),
	QString("DUID1239"),
	QString("ipAddr1240"),
	QString("ipAddr1241"),
	QString("ipPrefix1242"),
	QString("ipPrefix1243"),
	QString("variant1244"),
	QString("variant1245"),
	QString("choice1246"),
	QString("adapter1247"),
	QString("adapter1248"),
	QString("variant1249"),
	QString("variant1250"),
	QString("variant1251"),
	QString("choice1252"),
	QString("basic-ethernet-content"),
	QString("name-attr"),
	QString("bare-ethernet-interface"),
	QString("startmode"),
	QString("mtu"),
	QString("interface-addressing"),
	QString("vlan-interface-common"),
	QString("vlan-device"),
	QString("vlan-id"),
	QString("bare-vlan-interface"),
	QString("timeval"),
	QString("variant1264"),
	QString("variant1265"),
	QString("bare-bond-interface"),
	QString("variant1267"),
	QString("choice1268"),
	QString("bond-interface-common"),
	QString("bond"),
	QString("bond-element"),
	QString("balance-rr"),
	QString("active-backup"),
	QString("balance-xor"),
	QString("broadcast"),
	QString("802.3ad"),
	QString("balance-tlb"),
	QString("balance-alb"),
	QString("miimon"),
	QString("freq"),
	QString("downdelay"),
	QString("updelay"),
	QString("carrier"),
	QString("ioctl"),
	QString("netif"),
	QString("variant1286"),
	QString("arpmon"),
	QString("interval"),
	QString("validate"),
	QString("active"),
	QString("backup"),
	QString("variant1292"),
	QString("choice1293"),
	QString("onboot"),
	QString("hotplug"),
	QString("protocol-ipv4"),
	QString("protocol-ipv6"),
	QString("interface-addressing1298"),
	QString("interface-addressing1299"),
	QString("ipv4"),
	QString("dhcp-element"),
	QString("variant1302"),
	QString("variant1303"),
	QString("choice1304"),
	QString("autoconf"),
	QString("peerdns"),
	QString("domainsnapshot"),
	QString("data1308"),
	QString("uint8range1309"),
	QString("data1310"),
	QString("uint8range1311"),
	QString("data1312"),
	QString("uint24range1313"),
	QString("data1314"),
	QString("uint24range1315"),
	QString("data1316"),
	QString("UUID1317"),
	QString("data1318"),
	QString("UUID1319"),
	QString("DUID1320"),
	QString("DUID1321"),
	QString("DUID1322"),
	QString("DUID1323"),
	QString("ipAddr1324"),
	QString("ipAddr1325"),
	QString("ipPrefix1326"),
	QString("ipPrefix1327"),
	QString("variant1328"),
	QString("variant1329"),
	QString("choice1330"),
	QString("adapter1331"),
	QString("adapter1332"),
	QString("variant1333"),
	QString("variant1334"),
	QString("variant1335"),
	QString("choice1336"),
	QString("storageFormat1337"),
	QString("virtualPortProfile1338"),
	QString("virtualPortProfile1339"),
	QString("virtualPortProfile1340"),
	QString("virtualPortProfile1341"),
	QString("seclabel1342"),
	QString("seclabel1343"),
	QString("seclabel1344"),
	QString("seclabel1345"),
	QString("seclabel1346"),
	QString("seclabel1347"),
	QString("os1348"),
	QString("os1349"),
	QString("os1350"),
	QString("osxen1351"),
	QString("osxen1352"),
	QString("variant1353"),
	QString("variant1354"),
	QString("variant1355"),
	QString("variant1356"),
	QString("variant1357"),
	QString("variant1358"),
	QString("variant1359"),
	QString("variant1360"),
	QString("choice1361"),
	QString("memory1362"),
	QString("memory1363"),
	QString("adjustment1364"),
	QString("clock1365"),
	QString("clock1366"),
	QString("clock1367"),
	QString("timer1368"),
	QString("timer1369"),
	QString("timer1370"),
	QString("timer1371"),
	QString("tickpolicy1372"),
	QString("tickpolicy1373"),
	QString("bootloader1374"),
	QString("disk1375"),
	QString("disk1376"),
	QString("diskBackingChain1377"),
	QString("diskBackingChain1378"),
	QString("diskSource1379"),
	QString("diskSource1380"),
	QString("diskSource1381"),
	QString("diskSource1382"),
	QString("diskSource1383"),
	QString("name1384"),
	QString("name1385"),
	QString("host1386"),
	QString("host1387"),
	QString("type1388"),
	QString("variant1389"),
	QString("variant1390"),
	QString("variant1391"),
	QString("variant1392"),
	QString("variant1393"),
	QString("choice1394"),
	QString("variant1395"),
	QString("variant1396"),
	QString("choice1397"),
	QString("filesystem1398"),
	QString("filesystem1399"),
	QString("filesystem1400"),
	QString("filesystem1401"),
	QString("filesystem1402"),
	QString("filesystem1403"),
	QString("interface1404"),
	QString("interface1405"),
	QString("interface1406"),
	QString("interface1407"),
	QString("interface1408"),
	QString("interface1409"),
	QString("interface1410"),
	QString("interface1411"),
	QString("interface1412"),
	QString("source1413"),
	QString("address1414"),
	QString("address1415"),
	QString("source1416"),
	QString("interface1417"),
	QString("driver1418"),
	QString("driver1419"),
	QString("graphics1420"),
	QString("variant1421"),
	QString("variant1422"),
	QString("choice1423"),
	QString("graphics1424"),
	QString("graphics1425"),
	QString("graphics1426"),
	QString("graphics1427"),
	QString("listen1428"),
	QString("listen1429"),
	QString("model1430"),
	QString("model1431"),
	QString("variant1432"),
	QString("variant1433"),
	QString("choice1434"),
	QString("class1435"),
	QString("class1436"),
	QString("vendor1437"),
	QString("vendor1438"),
	QString("product1439"),
	QString("product1440"),
	QString("version1441"),
	QString("version1442"),
	QString("console1443"),
	QString("variant1444"),
	QString("console1445"),
	QString("variant1446"),
	QString("variant1447"),
	QString("variant1448"),
	QString("choice1449"),
	QString("smartcard1450"),
	QString("smartcard1451"),
	QString("smartcard1452"),
	QString("backend1453"),
	QString("variant1454"),
	QString("variant1455"),
	QString("choice1456"),
	QString("hostdevsubsys1457"),
	QString("hostdevsubsys1458"),
	QString("hostdevsubsys1459"),
	QString("hostdevcaps1460"),
	QString("hostdevcaps1461"),
	QString("hostdevcaps1462"),
	QString("source1463"),
	QString("source1464"),
	QString("source1465"),
	QString("source1466"),
	QString("variant1467"),
	QString("variant1468"),
	QString("variant1469"),
	QString("variant1470"),
	QString("variant1471"),
	QString("variant1472"),
	QString("variant1473"),
	QString("variant1474"),
	QString("variant1475"),
	QString("variant1476"),
	QString("variant1477"),
	QString("variant1478"),
	QString("variant1479"),
	QString("variant1480"),
	QString("variant1481"),
	QString("variant1482"),
	QString("variant1483"),
	QString("variant1484"),
	QString("variant1485"),
	QString("variant1486"),
	QString("variant1487"),
	QString("choice1488"),
	QString("model1489"),
	QString("address1490"),
	QString("address1491"),
	QString("address1492"),
	QString("address1493"),
	QString("address1494"),
	QString("address1495"),
	QString("address1496"),
	QString("address1497"),
	QString("address1498"),
	QString("address1499"),
	QString("choice1500"),
	QString("backend1501"),
	QString("backend1502"),
	QString("mirror1503"),
	QString("mirror1504"),
	QString("secret1505"),
	QString("secret1506"),
	QString("variant1507"),
	QString("variant1508"),
	QString("choice1509"),
	QString("variant1510"),
	QString("variant1511"),
	QString("choice1512"),
	QString("data1513"),
	QString("ccwCssidRange1514"),
	QString("data1515"),
	QString("ccwCssidRange1516"),
	QString("data1517"),
	QString("ccwCssidRange1518"),
	QString("data1519"),
	QString("ccwDevnoRange1520"),
	QString("data1521"),
	QString("ccwDevnoRange1522"),
	QString("creationTime"),
	QString("memory1524"),
	QString("memory1525"),
	QString("disks"),
	QString("disksnapshot"),
	QString("0"),
	QString("1"),
	QString("variant1530"),
	QString("data1531"),
	QString("uint8range1532"),
	QString("data1533"),
	QString("uint8range1534"),
	QString("data1535"),
	QString("uint24range1536"),
	QString("data1537"),
	QString("uint24range1538"),
	QString("data1539"),
	QString("UUID1540"),
	QString("data1541"),
	QString("UUID1542"),
	QString("DUID1543"),
	QString("DUID1544"),
	QString("DUID1545"),
	QString("DUID1546"),
	QString("ipAddr1547"),
	QString("ipAddr1548"),
	QString("ipPrefix1549"),
	QString("ipPrefix1550"),
	QString("variant1551"),
	QString("variant1552"),
	QString("choice1553"),
	QString("adapter1554"),
	QString("adapter1555"),
	QString("variant1556"),
	QString("variant1557"),
	QString("variant1558"),
	QString("choice1559"),
	QString("storageFormat1560"),
	QString("virtualPortProfile1561"),
	QString("virtualPortProfile1562"),
	QString("virtualPortProfile1563"),
	QString("virtualPortProfile1564"),
	QString("seclabel1565"),
	QString("seclabel1566"),
	QString("seclabel1567"),
	QString("seclabel1568"),
	QString("seclabel1569"),
	QString("seclabel1570"),
	QString("os1571"),
	QString("os1572"),
	QString("os1573"),
	QString("osxen1574"),
	QString("osxen1575"),
	QString("variant1576"),
	QString("variant1577"),
	QString("variant1578"),
	QString("variant1579"),
	QString("variant1580"),
	QString("variant1581"),
	QString("variant1582"),
	QString("variant1583"),
	QString("choice1584"),
	QString("memory1585"),
	QString("memory1586"),
	QString("adjustment1587"),
	QString("clock1588"),
	QString("clock1589"),
	QString("clock1590"),
	QString("timer1591"),
	QString("timer1592"),
	QString("timer1593"),
	QString("timer1594"),
	QString("tickpolicy1595"),
	QString("tickpolicy1596"),
	QString("bootloader1597"),
	QString("disk1598"),
	QString("disk1599"),
	QString("diskBackingChain1600"),
	QString("diskBackingChain1601"),
	QString("diskSource1602"),
	QString("diskSource1603"),
	QString("diskSource1604"),
	QString("diskSource1605"),
	QString("diskSource1606"),
	QString("name1607"),
	QString("name1608"),
	QString("host1609"),
	QString("host1610"),
	QString("type1611"),
	QString("variant1612"),
	QString("variant1613"),
	QString("variant1614"),
	QString("variant1615"),
	QString("variant1616"),
	QString("choice1617"),
	QString("variant1618"),
	QString("variant1619"),
	QString("choice1620"),
	QString("filesystem1621"),
	QString("filesystem1622"),
	QString("filesystem1623"),
	QString("filesystem1624"),
	QString("filesystem1625"),
	QString("filesystem1626"),
	QString("interface1627"),
	QString("interface1628"),
	QString("interface1629"),
	QString("interface1630"),
	QString("interface1631"),
	QString("interface1632"),
	QString("interface1633"),
	QString("interface1634"),
	QString("interface1635"),
	QString("source1636"),
	QString("address1637"),
	QString("address1638"),
	QString("source1639"),
	QString("interface1640"),
	QString("driver1641"),
	QString("driver1642"),
	QString("graphics1643"),
	QString("variant1644"),
	QString("variant1645"),
	QString("choice1646"),
	QString("graphics1647"),
	QString("graphics1648"),
	QString("graphics1649"),
	QString("graphics1650"),
	QString("listen1651"),
	QString("listen1652"),
	QString("model1653"),
	QString("model1654"),
	QString("variant1655"),
	QString("variant1656"),
	QString("choice1657"),
	QString("class1658"),
	QString("class1659"),
	QString("vendor1660"),
	QString("vendor1661"),
	QString("product1662"),
	QString("product1663"),
	QString("version1664"),
	QString("version1665"),
	QString("console1666"),
	QString("variant1667"),
	QString("console1668"),
	QString("variant1669"),
	QString("variant1670"),
	QString("variant1671"),
	QString("choice1672"),
	QString("smartcard1673"),
	QString("smartcard1674"),
	QString("smartcard1675"),
	QString("backend1676"),
	QString("variant1677"),
	QString("variant1678"),
	QString("choice1679"),
	QString("hostdevsubsys1680"),
	QString("hostdevsubsys1681"),
	QString("hostdevsubsys1682"),
	QString("hostdevcaps1683"),
	QString("hostdevcaps1684"),
	QString("hostdevcaps1685"),
	QString("source1686"),
	QString("source1687"),
	QString("source1688"),
	QString("source1689"),
	QString("variant1690"),
	QString("variant1691"),
	QString("variant1692"),
	QString("variant1693"),
	QString("variant1694"),
	QString("variant1695"),
	QString("variant1696"),
	QString("variant1697"),
	QString("variant1698"),
	QString("variant1699"),
	QString("variant1700"),
	QString("variant1701"),
	QString("variant1702"),
	QString("variant1703"),
	QString("variant1704"),
	QString("variant1705"),
	QString("variant1706"),
	QString("variant1707"),
	QString("variant1708"),
	QString("variant1709"),
	QString("variant1710"),
	QString("choice1711"),
	QString("model1712"),
	QString("address1713"),
	QString("address1714"),
	QString("address1715"),
	QString("address1716"),
	QString("address1717"),
	QString("address1718"),
	QString("address1719"),
	QString("address1720"),
	QString("address1721"),
	QString("address1722"),
	QString("choice1723"),
	QString("backend1724"),
	QString("backend1725"),
	QString("mirror1726"),
	QString("mirror1727"),
	QString("secret1728"),
	QString("secret1729"),
	QString("variant1730"),
	QString("variant1731"),
	QString("choice1732"),
	QString("variant1733"),
	QString("variant1734"),
	QString("choice1735"),
	QString("data1736"),
	QString("ccwCssidRange1737"),
	QString("data1738"),
	QString("ccwCssidRange1739"),
	QString("data1740"),
	QString("ccwCssidRange1741"),
	QString("data1742"),
	QString("ccwDevnoRange1743"),
	QString("data1744"),
	QString("ccwDevnoRange1745"),
	QString("choice1746"),
	QString("cookie"),
	QString("nostate"),
	QString("running"),
	QString("blocked"),
	QString("paused"),
	QString("shutoff"),
	QString("crashed"),
	QString("disk-snapshot"),
	QString("disksnapshotdriver"),
	QString("name1756"),
	QString("name1757"),
	QString("disk1758"),
	QString("disk1759"),
	QString("variant1760"),
	QString("variant1761"),
	QString("variant1762"),
	QString("choice1763"),
	QString("disk1764"),
	QString("disk1765"),
	QString("disk1766"),
	QString("data1767"),
	QString("uint8range1768"),
	QString("data1769"),
	QString("uint8range1770"),
	QString("data1771"),
	QString("uint24range1772"),
	QString("data1773"),
	QString("uint24range1774"),
	QString("data1775"),
	QString("UUID1776"),
	QString("data1777"),
	QString("UUID1778"),
	QString("DUID1779"),
	QString("DUID1780"),
	QString("DUID1781"),
	QString("DUID1782"),
	QString("ipAddr1783"),
	QString("ipAddr1784"),
	QString("ipPrefix1785"),
	QString("ipPrefix1786"),
	QString("variant1787"),
	QString("variant1788"),
	QString("choice1789"),
	QString("adapter1790"),
	QString("adapter1791"),
	QString("variant1792"),
	QString("variant1793"),
	QString("variant1794"),
	QString("choice1795"),
	QString("cpuCheck"),
	QString("check"),
	QString("partial"),
	QString("full"),
	QString("model1800"),
	QString("cpuCache"),
	QString("level"),
	QString("2"),
	QString("3"),
	QString("domainCapabilities"),
	QString("max"),
	QString("supported"),
	QString("enum"),
	QString("cpuHost"),
	QString("cpuHostModel"),
	QString("cpuCustom"),
	QString("usable"),
	QString("anonymous1813")
};

const QString& getText(quint32 index_)
{
	return g_text[index_ - 1];
}
